// Home.vue

<template>
            <v-app>

  <div>
        <!-- Navigation Component -->
        <Navigation />
        <!-- Navigation Component -->
        <!-- Home Page -->
        <div class="hero_area">
          <h5 data-aos="fade-up" data-aos-delay="300"  data-aos-duration="1000" class="text-heroarea">YOUR <span class="text-pop"> ONE-STOP SOLUTION</span> FOR <br> LARGE SCALE CAR WASHING AND PROFESSIONAL <br> GROOMING SERVICES</h5>
          <v-btn data-aos="fade" data-aos-delay="1200" data-aos-duration="1000" data-aos-once="true" rounded color="#194a8d" class="button-text-hero" dark  width="250px" height="50px"  href="/contact">CONTACT US NOW!</v-btn>
        </div>
       <!-- Business -->
        <div class="our_business_text">
          <h5 data-aos="fade-up" data-aos-once="true">OUR BUSINESSES</h5>

          <div class="angel-button">
    
            <div class="subhead-head">
              <div class="icon-wrap icon-wrap1">
               <v-btn
                data-aos="fade-up" data-aos-once="true"
                class="web-button"
                color="#000000"
                href="https://www.angelwaxasia.com"
                large
                fab
                target="_blank"
                >
                  <v-avatar>
                  <img src="../assets/angelwaxlogo.jpg" alt="web logo">
                </v-avatar>
                </v-btn>
               <p data-aos="fade-up" data-aos-once="true" class="subhead-icons1">Webstore</p>
              </div>

              <div class="icon-wrap">
                <v-btn
                data-aos="fade-up" data-aos-once="true"
                color="#3c5a99"
                href="https://facebook.com/angelwaxasia"
                target="_blank"
                large
                fab

                >
                <v-avatar >
                  <img src="../assets/fb-icon.png" alt="facebook logo">
                </v-avatar>
                </v-btn>
                <p data-aos="fade-up" data-aos-once="true" class="subhead-icons2">Facebook Page</p>

              </div>

              <div class="icon-wrap">
              <v-btn
              class="web-button3"
              id="open-popup"
              data-aos="fade-up" data-aos-once="true"
              color="#000"
              target="_blank"
              large
              fab
              @click.stop="dialog = true"
              >
              <v-avatar >
                <img class="icon-mobile" src="../assets/icons/icon_mobile_white.png" alt="mobile">
              </v-avatar>
              </v-btn>
    
                <v-dialog
                  v-model="dialog"
                  max-width="490"
                >
                  <v-card>
                    <v-card-title class="headline">Angelwax Academy App <br> is coming soon!</v-card-title>

                    <v-card-text>
                      We will notify you when the app is ready!

                      <form action="https://send.pageclip.co/x7NgZSBQru20HQwlLOWK3NJdZhL1rzFH/subs" class="pageclip-form" method="post">
                        <div id="mc_embed_signup_scroll">
                          <div class="mc-field-group">
                            <label for="mce-EMAIL">Email Address  <span class="asterisk">*</span>
                            </label>
                            <input type="email" value="" v-model="email" name="EMAIL" class="required email" id="mce-EMAIL" required>
                            <span id="mce-EMAIL-HELPERTEXT" class="helper_text"></span>
                            <br>
                          </div>
                          <div id="mce-responses" class="clear foot">
                            <div class="response" id="mce-error-response" style="display:none"></div>
                            <div class="response" id="mce-success-response" style="display:none"></div>
                          </div>    
                          <!-- real people should not fill this in and expect good things - do not remove this or risk form bot signups-->
                          <input type="submit" value="Notify me!" name="subscribe" id="mc-embedded-subscribe"  :disabled="email.length === 0" class="modal-button modal-button-disabled" v-bind:class="{ 'modal-button-active': email.length > 0 }">
                        </div>
                      </form>
                    </v-card-text>

                      <v-card-actions>
                        <v-spacer></v-spacer>

                      </v-card-actions>
                  </v-card>
                </v-dialog>
              <p data-aos="fade-up" data-aos-once="true" class="subhead-icons3">Detailing App</p>
              </div>
         
            </div>
            
          </div>


        </div>

        <div  class="distribution_hero bussiness_height" >
          <div class="wrapper_business1">
              <h4 class="business1and2" data-aos="fade-up" data-aos-delay="1400" data-aos-once="true">DISTRIBUTION</h4>
              <p class="description_business" data-aos="fade-up" data-aos-delay="1300" data-aos-once="true">Z3M is constantly on the search for premium car care products for our <br>valued customers. Currently, we hold the distributorship for AngelWax, 
              <br>Tonyin and RiSense Systems for the Southeast Asia region. </p>
              <v-btn data-aos="fade" data-aos-delay="1300" data-aos-once="true" rounded color="#FFFFFF" class="button-text_business" depressed height="50px" href="/services/distribution"> LEARN MORE</v-btn>
          </div>
        </div>

        <div class="professional_hero bussiness_height">
          <div class="wrapper_business3">
              <h4 class="business3" data-aos="fade-up" data-aos-delay="1200" data-aos-once="true">PROFESSIONAL CAR GROOMING SERVICES <br>  (AFTERSALES CENTRE, B2B, B2C)</h4>
              <p class="description_business" data-aos="fade-up" data-aos-delay="1500" data-aos-once="true">Z3M strives to give our customers a service-oriented and hassle-free <br>experience. Our founder and his senior team has been in the detailing<br> industry 
              for more than 10 years, working with car distributors on <br> Aftersales Centre's car wash projects and car show events. </p>
              <v-btn data-aos="fade" data-aos-delay="1200" data-aos-once="true" rounded color="#FFFFFF" class="button-text_business" depressed height="50px" href="/services/professional_car_grooming_services"> LEARN MORE</v-btn>
          </div>
        </div>

        <div  class="academy_hero bussiness_height">
          <div class="wrapper_business2">
              <h4 class="business1and2" data-aos="fade-up" data-aos-delay="1200" data-aos-once="true">ACADEMY</h4>
              <p class="description_business" data-aos="fade-up" data-aos-delay="1200" data-aos-once="true">From the individual to the car enthusiast, Z3M believes that education<br> is crucial in ensuring that our customers enjoy a 
              best-in-class service <br>  in the car grooming industry. Z3M's detailing team is well-trained in <br> the provision of grooming services; some are even sent overseas<br> 
              for exchange programmes to further improve on their skillsets.</p>
              <v-btn data-aos="fade" data-aos-delay="1200" data-aos-once="true" rounded color="#FFFFFF" class="button-text_business" depressed height="50px" href="/services/academy"> LEARN MORE</v-btn>
          </div>
        </div> 

         <!-- Testimonial -->
        <div class="testimonial">

              <div class="testimonial_wrapper">
                  <div class="testimonial_header" >
                    <h5 data-aos="fade" data-aos-duration="1000" data-aos-once="true">CUSTOMER TESTIMONIALS</h5> </div>
                  <carousel :navigationEnabled="true"  class="desktop-carousel">
                    <slide>
                      <iframe src="https://www.facebook.com/plugins/post.php?href=https%3A%2F%2Fwww.facebook.com%2Fryan.tang.948%2Fposts%2F10156251782562511&width=500" width="500" height="180" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true" allow="encrypted-media"></iframe>
                    </slide>
                    <slide>
                      <iframe src="https://www.facebook.com/plugins/post.php?href=https%3A%2F%2Fwww.facebook.com%2Fpermalink.php%3Fstory_fbid%3D10156455076444135%26id%3D649834134&width=500" width="500" height="237" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true" allow="encrypted-media"></iframe>
                   </slide>
                    <slide>
                      <iframe src="https://www.facebook.com/plugins/post.php?href=https%3A%2F%2Fwww.facebook.com%2Fgrooverid3r%2Fposts%2F10214743364112319&width=500" width="500" height="249" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true" allow="encrypted-media"></iframe>
                    </slide>
                    <slide>
                      <iframe src="https://www.facebook.com/plugins/post.php?href=https%3A%2F%2Fwww.facebook.com%2Fjoel.teo.56%2Fposts%2F10156529679727247&width=500" width="500" height="268" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true" allow="encrypted-media"></iframe>
                    </slide>
                  </carousel>

                    <carousel :navigationEnabled="true" class="tab-carousel">
                      <slide>
                      <iframe src="https://www.facebook.com/plugins/post.php?href=https%3A%2F%2Fwww.facebook.com%2Fryan.tang.948%2Fposts%2F10156251782562511&width=500" width="500" height="180" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true" allow="encrypted-media"></iframe>
                    </slide>
                    <slide>
                      <iframe src="https://www.facebook.com/plugins/post.php?href=https%3A%2F%2Fwww.facebook.com%2Fpermalink.php%3Fstory_fbid%3D10156455076444135%26id%3D649834134&width=500" width="500" height="237" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true" allow="encrypted-media"></iframe>
                   </slide>
                    <slide>
                      <iframe src="https://www.facebook.com/plugins/post.php?href=https%3A%2F%2Fwww.facebook.com%2Fgrooverid3r%2Fposts%2F10214743364112319&width=500" width="500" height="249" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true" allow="encrypted-media"></iframe>
                    </slide>
                    <slide>
                      <iframe src="https://www.facebook.com/plugins/post.php?href=https%3A%2F%2Fwww.facebook.com%2Fjoel.teo.56%2Fposts%2F10156529679727247&width=500" width="500" height="268" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true" allow="encrypted-media"></iframe>
                    </slide>
                  </carousel>

                     <carousel  class="responsive-carousel">
                      <slide>
                        <iframe src="https://www.facebook.com/plugins/post.php?href=https%3A%2F%2Fwww.facebook.com%2Fryan.tang.948%2Fposts%2F10156251782562511&width=500" width="500" height="180" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true" allow="encrypted-media"></iframe>
                      </slide>
                      <slide>
                        <iframe src="https://www.facebook.com/plugins/post.php?href=https%3A%2F%2Fwww.facebook.com%2Fpermalink.php%3Fstory_fbid%3D10156455076444135%26id%3D649834134&width=500" width="500" height="237" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true" allow="encrypted-media"></iframe>
                      </slide>
                      <slide>
                        <iframe src="https://www.facebook.com/plugins/post.php?href=https%3A%2F%2Fwww.facebook.com%2Fgrooverid3r%2Fposts%2F10214743364112319&width=500" width="500" height="249" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true" allow="encrypted-media"></iframe>
                      </slide>
                      <slide>
                        <iframe src="https://www.facebook.com/plugins/post.php?href=https%3A%2F%2Fwww.facebook.com%2Fjoel.teo.56%2Fposts%2F10156529679727247&width=500" width="500" height="268" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true" allow="encrypted-media"></iframe>
                      </slide>
                    <slide>
                      </slide>
                       <slide>
                      </slide>
                      <slide>
                      </slide>
                        <slide>
                      </slide>
                        <slide>
                      </slide>
                         <slide>
                      </slide>
                  </carousel>

       

              </div>  
        </div>
         <!-- Companies we serve -->

        <div class="we_serve">
          <h5 class="ourclientstext" data-aos="fade" data-aos-duration="1000" data-aos-once="true">OUR CLIENTS</h5>     
          <div class="our_clients">
            <img src="../assets/companies.png" alt="companies" width="80%">
          </div>  
          <div class="our_clientsResponsive">
            <img src="../assets/logos.png" alt="companies" width="80%">
            </div>   
        </div>

        <!-- Home Page -->

        <!-- Footer Component -->
        <Footer />
        <!-- Footer Component -->

  </div>
            </v-app>

</template>

<script>
import Navigation from './Navigation'
import Footer from './Footer'
import { Carousel, Slide } from 'vue-carousel';
// In your VueJS component.
// import { VueperSlides, VueperSlide } from 'vueperslides'

// Since v. 1.6.0, you need to include Vueper Slides CSS file for default styles.

  export default {
    name:'app',
    components: {
      Navigation,
      Footer, 
      Carousel,
      Slide, 
      // VueperSlides, 
      // VueperSlide
    },
     data: () => ({
    length: 3,
    onboarding: 0,
    email: '',
    fab:'',
    dialog: false,
    navigationClickTargetSize:'',

    }),

    methods: {
    next () {
      this.onboarding = this.onboarding + 1 === this.length
        ? 0
        : this.onboarding + 1
    },
    prev () {
      this.onboarding = this.onboarding - 1 < 0
        ? this.length - 1
        : this.onboarding - 1
    }
  },
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

.icon-wrap1{
  padding-right: 1vw;
  padding-left:2vw;
}

.icon-wrap2{
  padding-right: 2vw;
  padding-left:2vw;
}
.icon-wrap3{
  padding-right: 2vw;
  padding-left:2vw;
}
.icon-wrap{
  display: block;
  margin: 0 10px;
  padding-top:10px;
  padding-bottom: 20px
}


.icon-mobile{
  height: 38px;
  width: 36px;
}

.subhead-head{
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.subhead-icons1{
  font-weight: bold;
  padding-top: 20px


}

.subhead-icons2{
  font-weight: bold;
  padding-left: 10px;
  padding-top: 20px

}

.subhead-icons3{
  font-weight: bold;
  padding-top: 20px
}

button, [type=button] {
  margin: 0 0 0 0;

}

.angel-button{
  padding-top: 10px;
  margin: auto;
  text-align: center
}
.hero_area{
  height: 750px;
  text-align: center;
  background-image: url('../assets/Car-Washing_High-Res-test.jpg');
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover; 
}

.text-pop{
  color: #ffa72f;
  padding: 0 10px
}

.text-heroarea{
  text-align: center;
  padding: 300px 0 50px 0;
  margin: 0;
  font-weight: bold;
  font-size: 3em;
}

.our_business_text{
  height: 290px
}
.our_business_text > h5{
  font-size: 35px;
  color: #194a8d;
  text-align: center;
  font-weight: bold;
}

.bussiness_height{
  height: 450px;
}

.distribution_hero{
  background-image: linear-gradient(to right, #5a6b85, #5a6b853b), url('../assets/aw.png');
  background-size: 850px 600px;
  background-position: right;
  background-color: #5a6b85;

}


.professional_hero{
  background-image: linear-gradient(to left, #ffa827,#ffa9273e), url('../assets/prof.jpg');
  background-size: 800px 600px;
  background-position: left;
  background-color: #ffa827;
}

.academy_hero{
  background-image: linear-gradient(to right, #c2b9ba, #c2b9ba35), url('../assets/academy.png');
  background-size: 850px 650px;
  background-position: right;
  background-color: #c2b9ba;
}

.business1and2{
  color:white;
  font-size: 50px;
  font-weight: bold;
  padding: 0;
  margin: 0;
}

.business3{
  color: white;
  font-size: 40px;
  margin: 0;
  padding: 0;
}

.wrapper_business1{
  width: 80%;
  margin:auto;
  padding: 85px 0;
}

.button-text_business{
  width: 15%;
}

.button-text_business:hover {
  text-decoration: none;
}

.button-text-hero:hover{
  text-decoration: none
}

.wrapper_business2{
  width: 80%;
  margin:auto;
  padding: 80px 0;
}

.wrapper_business3{
  text-align: right;
}

.wrapper_business3{
  width: 80%;
  margin:auto;
  padding: 70px 0;
}
.description_business{
  color: white;
  padding: 10px 0 10px 0;
  font-size: 1.1em
}

.testimonial{
  height: 550px;
  background-color: white;
  text-align: center;
  color: #194a8d;
}

.we_serve > h5{
  font-size: 35px;
  color: #194a8d;
  text-align: center;
  font-weight: bold;
}

.we_serve{
  background: white;
}


  .our_clients > img{
    margin: auto;
    display: block;
    padding-bottom: 50px
  }

  .our_clientsResponsive > img{
    margin: auto;
    display: block;
  }

.testimonial_header > h5{
  font-size: 35px;
  color: #194a8d;
  text-align: center;
  font-weight: bold;
  padding-bottom: 20px
}


.testimonial_description{
  width: 50%;
  margin: auto;
  font-size: 20px;
  padding: 20px 0
}

.testimonial_name{
  color: white;
  margin: 0
}

.testimonial_wrapper{
  width: 80%;
  margin:auto;
  padding-top: 1vw
}

.testimonial_wrapper > img{
  width: 200px;
    border-radius: 50%;

}

 .our_clientsResponsive{
   display: none;
  }

  .responsive-carousel{
  display: none
}
 .tab-carousel{
  display: none
}

.modal-button{
  color: white; 
  position: absolute; 
  right: 0px; 
  bottom: -33px;
}

.modal-button-disabled{
  border: 1px solid gray; 
  background: gray; 
}
.modal-button-active{
  border: 1px solid #184A8F; 
  background: #184A8F; 
}

@media screen and  (max-width:1280px) {
    .desktop-carousel{
  display: none
}
 .responsive-carousel{
  display: none
}
 .tab-carousel{
  display: block
}

  .text-heroarea{
  width: 90%;
  text-align: center;
  padding: 200px 0 50px 0;
  margin: 0 auto;
  font-weight: bold;
  font-size: 2em;
}

.business1and2{
  color:white;
  font-size: 40px;
  font-weight: bold;
  margin: 0;
  text-align: center;
}

.business3{
  color: white;
  font-size: 30px;
  margin: 0;
  text-align: center;
}

.description_business{
  color: white;
  padding: 10px 0 10px 0;
  text-align: center;
}

.bussiness_height{
  height: unset;

}
.wrapper_business1{
  text-align: center
}

.wrapper_business2{
  text-align: center
}

.wrapper_business3{
  text-align: center
}

.button-text_business{
  width: 200px;
  margin:  0 auto;
  text-align: center;
}

.distribution_hero{
  height: 460px;
  background-image: linear-gradient(to right, #5a6b85, #5a6b8593), url('../assets/aw.png');
  background-size: 850px 100%;
  background-position: right;
 background-color: #5a6b85;
}

.professional_hero{
  background-image: linear-gradient(to left, #ffa827,#ffa927a8), url('../assets/prof.jpg');
  background-size: 800px 100%;
  background-position: left;
  background-color: #ffa827
}

.academy_hero{
  background-image: linear-gradient(to right, #c2b9ba, #c2b9ba92), url('../assets/academy.png');
  background-size: 850px 100%;
  background-position: right;
  background-color: #c2b9ba
}

.testimonial{
  height: 500px;
}

.testimonial_name{
  padding-bottom: 50px
}


.our_business_text > h5{
  font-size: 25px;
  color: #194a8d;
  text-align: center;
  font-weight: bold;
  padding-top: 22px;
  margin: 0
}

.testimonial_header > h5{
  font-size: 25px;
  color: #194a8d;
  text-align: center;
  font-weight: bold;
  padding-top: 22px;
  margin: 0
}
.our_business_text{
  height: unset
}

.testimonial_description{
  width: 50%;
  margin: auto;
  font-size: 1.1em;
  padding: 20px 0
}

.testimonial_header{
    color: #194a8d;
    font-size: 25px;
    font-weight: bold;
    padding-bottom: 50px
  }

  .testimonial_name{
  color: white;
  margin: 0;
  font-size: 1.5em
}

.we_serve > h5{
  font-size: 25px;
}

.testimonial_description{
  width: 80%;
  margin: auto;
  font-size: 1.1em;
  padding: 20px 0
}
.ourclientstext{
margin: 0;
padding: 25px 0 0 0;
}
  .our_clientsResponsive{
   display: none;
  }

}

.fab-container{
  position: fixed;
  bottom: 55px;
  right: 50px;
  z-index: 999;
  cursor: pointer;

} 

.fab-icon-holder{
  width: 70px;
  height: 70px;
  border-radius: 100%;
  background: #2b3747;
  box-shadow: 0 6px 20px rgba(0, 0, 0, 0, 0.2  )
}

.fab-icon-holder:hover{
  opacity: 1;
}

.fab-icon-holder v-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  font-style: 25px;
  color:#ffff;
}

.fab{
  width: 90px;
  height: 90px;
  background: black;
  background-image: url("../assets/angelwaxlogo.jpg");
  background-position: center;
  background-size: 70px

}

.fab-options{
  list-style-type: none;
  margin: 0;
  position: absolute;
  bottom: 92px;
  right: 0;  
  opacity: 0;
  transition: all 0.3 ease;
  transform: scale(0);
  transform-origin: 85% bottom;
}

.fab-options li {
  display: flex;
  justify-content: flex-end;
  padding: 10px;

}

.fab-label{
  padding: 2px 5px;
  align-self: center;
  user-select: none;
  white-space: nowrap;
  border-radius: 3px;
  font-size: 16px;
  background: #204c89;
  color: white;
  box-shadow: 0 6px 20px rgba(0, 0, 0, 0, 0.2);
  margin-right: 10px 
}

.fab:hover + .fab-options, .fab-options:hover{
  opacity:1;
  transform: scale(1)
}

.agwicon{
  margin: auto;
  text-align: center;
}



@media screen and (max-width: 600px) {


.subhead-icons1{
  font-weight: bold;
  font-size: 4vw;

}

.subhead-icons2{
  font-weight: bold;
  padding-left: 10px;
  padding-right: 10px;
  font-size: 4vw;

}

.subhead-icons3{
  font-size: 4vw;
  font-weight: bold;
}
      .desktop-carousel{
  display: none
}
 .responsive-carousel{
  display: block
}
  
   .tab-carousel{
  display: none
}
   .our_clients{
   display: none;
  }
   .our_clientsResponsive{
   display: block;
  }

  .we_serve{
  height: unset;
}
 .testimonial_header{
    color: #194a8d;
    font-size: 30px;
    font-weight: bold;
    padding-bottom: 50px
  }
  .testimonial{
  height: 550px;
  background-color: white;
  text-align: center;
  color: #194a8d;
}
}

</style>